# eric4.E4XML.UserProjectHandler

Module implementing the handler class for reading an XML user project properties file.

### Global Attributes

None

### Classes

UserProjectHandler | Class implementing a sax handler to read an XML user project properties file.

### Functions

None

## UserProjectHandler

Class implementing a sax handler to read an XML user project properties file.

### Derived from

XMLHandlerBase

### Class Attributes

None

### Methods

UserProjectHandler | Constructor
endVcsType | Handler method for the "VcsType" end tag.
getVersion | Public method to retrieve the version of the user project file.
startDocumentProject | Handler called, when the document parsing is started.
startUserProject | Handler method for the "UserProject" start tag.
startVcsStatusMonitorInterval | Handler method for the "VcsStatusMonitorInterval" start tag.

#### UserProjectHandler (Constructor)

UserProjectHandler(project)

Constructor

project
  Reference to the project object to store the information into.

#### UserProjectHandler.endVcsType

endVcsType()

Handler method for the "VcsType" end tag.

#### UserProjectHandler.getVersion

getVersion()

Public method to retrieve the version of the user project file.

Returns:
  String containing the version number.

#### UserProjectHandler.startDocumentProject

startDocumentProject()

Handler called, when the document parsing is started.

#### UserProjectHandler.startUserProject

startUserProject(attrs)

Handler method for the "UserProject" start tag.

attrs
  list of tag attributes

#### UserProjectHandler.startVcsStatusMonitorInterval

startVcsStatusMonitorInterval(attrs)

Handler method for the "VcsStatusMonitorInterval" start tag.

attrs
  list of tag attributes

Up